aes.h File Reference

Class file for the AES cipher (Rijndael) More...

Go to the source code of this file.

## Classes

class | AES
| AES block cipher (Rijndael) More...

## Typedefs

typedef RijndaelEncryption | AESEncryption
typedef RijndaelDecryption | AESDecryption

## Detailed Description

Class file for the AES cipher (Rijndael)

AES is a typdef for Rijndael classes. All key sizes are supported. The library only provides Rijndael with 128-bit blocks, and not 192-bit or 256-bit blocks

Since
  Rijndael since Crypto++ 3.1, Intel AES-NI since Crypto++ 5.6.1, ARMv8 AES since Crypto++ 6.0, Power8 AES since Crypto++ 6.0

Definition in file aes.h.

## Typedef Documentation

## AESEncryption

typedef RijndaelEncryption AESEncryption

Definition at line 25 of file aes.h.

## AESDecryption

typedef RijndaelDecryption AESDecryption

Definition at line 26 of file aes.h.